Bug 186226 - Fullscreen requires active document.
Summary: Fullscreen requires active document.
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jeremy Jones
URL:
Keywords: InRadar
Depends on: 188307
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-01 23:20 PDT by Jeremy Jones
Modified: 2018-08-03 08:50 PDT (History)
13 users (show)

See Also:


Attachments
wip (4.66 KB, patch)
2018-06-01 23:24 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.27 MB, application/zip)
2018-06-02 00:29 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.91 MB, application/zip)
2018-06-02 00:40 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (16.12 MB, application/zip)
2018-06-02 01:13 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews205 for win-future (12.74 MB, application/zip)
2018-06-02 03:48 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (2.98 MB, application/zip)
2018-06-03 11:25 PDT, EWS Watchlist
no flags Details
Patch (3.44 KB, patch)
2018-06-28 12:11 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff
Patch (3.40 KB, patch)
2018-06-28 15:21 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff
Patch (8.96 KB, patch)
2018-06-28 17:10 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff
Patch (17.67 KB, patch)
2018-06-29 14:37 PDT, Jeremy Jones
jer.noble: review+
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.28 MB, application/zip)
2018-06-29 15:47 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews202 for win-future (13.09 MB, application/zip)
2018-06-29 15:48 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (3.00 MB, application/zip)
2018-06-29 16:22 PDT, EWS Watchlist
no flags Details
Patch (19.66 KB, patch)
2018-06-29 16:53 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff
Patch for landing (21.35 KB, patch)
2018-06-29 17:42 PDT, Jeremy Jones
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (15.75 MB, application/zip)
2018-06-29 21:05 PDT, EWS Watchlist
no flags Details
Patch for landing. (21.44 KB, patch)
2018-07-06 16:18 PDT, Jeremy Jones
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.27 MB, application/zip)
2018-07-06 17:42 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (29.02 MB, application/zip)
2018-07-06 19:09 PDT, EWS Watchlist
no flags Details
Patch for landing. (23.57 KB, patch)
2018-07-10 15:47 PDT, Jeremy Jones
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.30 MB, application/zip)
2018-07-10 16:56 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.98 MB, application/zip)
2018-07-10 17:09 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (3.02 MB, application/zip)
2018-07-10 17:35 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (23.26 MB, application/zip)
2018-07-10 17:46 PDT, EWS Watchlist
no flags Details
Patch for landing. (24.44 KB, patch)
2018-07-12 17:54 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff
Patch for landing. (24.41 KB, patch)
2018-07-12 18:04 PDT, Jeremy Jones
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.45 MB, application/zip)
2018-07-12 19:22 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (3.02 MB, application/zip)
2018-07-12 19:55 PDT, EWS Watchlist
no flags Details
Patch for landing. (24.38 KB, patch)
2018-07-12 20:09 PDT, Jeremy Jones
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.74 MB, application/zip)
2018-07-12 21:25 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews200 for win-future (12.78 MB, application/zip)
2018-07-12 22:32 PDT, EWS Watchlist
no flags Details
Patch for landing. (15.85 KB, patch)
2018-07-13 23:27 PDT, Jeremy Jones
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.23 MB, application/zip)
2018-07-14 01:20 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews206 for win-future (12.79 MB, application/zip)
2018-07-14 01:29 PDT, EWS Watchlist
no flags Details
Patch for landing. (15.88 KB, patch)
2018-07-16 12:39 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Jones 2018-06-01 23:20:55 PDT
Fullscreen requires active document.
Comment 1 Jeremy Jones 2018-06-01 23:21:29 PDT
rdar://problem/36187413
Comment 2 Jeremy Jones 2018-06-01 23:24:12 PDT
Created attachment 341832 [details]
wip
Comment 3 EWS Watchlist 2018-06-02 00:29:54 PDT
Comment on attachment 341832 [details]
wip

Attachment 341832 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7941485

New failing tests:
media/no-fullscreen-from-background.html
Comment 4 EWS Watchlist 2018-06-02 00:29:55 PDT
Created attachment 341834 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 5 EWS Watchlist 2018-06-02 00:40:44 PDT
Comment on attachment 341832 [details]
wip

Attachment 341832 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7941501

New failing tests:
media/no-fullscreen-from-background.html
Comment 6 EWS Watchlist 2018-06-02 00:40:46 PDT
Created attachment 341835 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 7 EWS Watchlist 2018-06-02 01:13:43 PDT
Comment on attachment 341832 [details]
wip

Attachment 341832 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7941524

New failing tests:
media/no-fullscreen-from-background.html
Comment 8 EWS Watchlist 2018-06-02 01:13:45 PDT
Created attachment 341836 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 9 EWS Watchlist 2018-06-02 03:48:10 PDT
Comment on attachment 341832 [details]
wip

Attachment 341832 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7942069

New failing tests:
http/tests/security/video-poster-cross-origin-crash2.html
Comment 10 EWS Watchlist 2018-06-02 03:48:21 PDT
Created attachment 341840 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 11 EWS Watchlist 2018-06-03 11:25:37 PDT
Comment on attachment 341832 [details]
wip

Attachment 341832 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7960550

New failing tests:
media/no-fullscreen-from-background.html
Comment 12 EWS Watchlist 2018-06-03 11:25:38 PDT
Created attachment 341868 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 13 Jeremy Jones 2018-06-28 12:11:23 PDT
Created attachment 343833 [details]
Patch
Comment 14 Jer Noble 2018-06-28 14:35:07 PDT
Comment on attachment 343833 [details]
Patch

I don't think this will do what you want; we should be using the document's visibility state rather than whether active DOM objects are suspended.
Comment 15 Jeremy Jones 2018-06-28 15:21:30 PDT
Created attachment 343859 [details]
Patch
Comment 16 Jer Noble 2018-06-28 15:24:12 PDT
Better, but I think it could use a test. TAL at internals.setPageVisibility(false) to simulate a page going into the background.
Comment 17 Jeremy Jones 2018-06-28 17:10:49 PDT
Created attachment 343873 [details]
Patch
Comment 18 EWS Watchlist 2018-06-28 17:14:06 PDT
Attachment 343873 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 Jeremy Jones 2018-06-29 14:37:33 PDT
Created attachment 343945 [details]
Patch
Comment 20 EWS Watchlist 2018-06-29 14:40:31 PDT
Attachment 343945 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 21 EWS Watchlist 2018-06-29 15:47:37 PDT
Comment on attachment 343945 [details]
Patch

Attachment 343945 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/8387773

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 22 EWS Watchlist 2018-06-29 15:47:39 PDT
Created attachment 343956 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 23 EWS Watchlist 2018-06-29 15:48:42 PDT
Comment on attachment 343945 [details]
Patch

Attachment 343945 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8387640

New failing tests:
http/tests/security/canvas-remote-read-remote-video-localhost.html
Comment 24 EWS Watchlist 2018-06-29 15:48:54 PDT
Created attachment 343957 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 25 EWS Watchlist 2018-06-29 16:22:04 PDT
Comment on attachment 343945 [details]
Patch

Attachment 343945 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/8387879

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 26 EWS Watchlist 2018-06-29 16:22:06 PDT
Created attachment 343965 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 27 Jeremy Jones 2018-06-29 16:53:04 PDT
Created attachment 343972 [details]
Patch
Comment 28 EWS Watchlist 2018-06-29 16:55:22 PDT
Attachment 343972 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 29 Jeremy Jones 2018-06-29 17:42:17 PDT
Created attachment 343985 [details]
Patch for landing
Comment 30 EWS Watchlist 2018-06-29 17:46:24 PDT
Attachment 343985 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 31 EWS Watchlist 2018-06-29 21:05:32 PDT
Comment on attachment 343985 [details]
Patch for landing

Attachment 343985 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/8391532

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 32 EWS Watchlist 2018-06-29 21:05:34 PDT
Created attachment 343995 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 33 Maciej Stachowiak 2018-07-03 12:22:26 PDT
Probably shouldn't land as-is due the iOS-sim failure.
Comment 34 Jeremy Jones 2018-07-06 16:18:08 PDT
Created attachment 344478 [details]
Patch for landing.
Comment 35 EWS Watchlist 2018-07-06 16:20:33 PDT
Attachment 344478 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 36 EWS Watchlist 2018-07-06 17:42:02 PDT
Comment on attachment 344478 [details]
Patch for landing.

Attachment 344478 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8462095

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 37 EWS Watchlist 2018-07-06 17:42:04 PDT
Created attachment 344494 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 38 EWS Watchlist 2018-07-06 19:09:34 PDT
Comment on attachment 344478 [details]
Patch for landing.

Attachment 344478 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/8462587

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 39 EWS Watchlist 2018-07-06 19:09:37 PDT
Created attachment 344500 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 40 Jeremy Jones 2018-07-10 15:47:36 PDT
Created attachment 344727 [details]
Patch for landing.
Comment 41 EWS Watchlist 2018-07-10 15:49:35 PDT
Attachment 344727 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 26 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 42 EWS Watchlist 2018-07-10 16:56:30 PDT
Comment on attachment 344727 [details]
Patch for landing.

Attachment 344727 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/8499310

New failing tests:
media/media-source/only-bcp47-language-tags-accepted-as-valid.html
Comment 43 EWS Watchlist 2018-07-10 16:56:32 PDT
Created attachment 344733 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 44 EWS Watchlist 2018-07-10 17:09:56 PDT
Comment on attachment 344727 [details]
Patch for landing.

Attachment 344727 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8499368

New failing tests:
media/no-fullscreen-when-hidden.html
media/media-source/only-bcp47-language-tags-accepted-as-valid.html
Comment 45 EWS Watchlist 2018-07-10 17:09:58 PDT
Created attachment 344735 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 46 EWS Watchlist 2018-07-10 17:35:55 PDT
Comment on attachment 344727 [details]
Patch for landing.

Attachment 344727 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/8499388

New failing tests:
media/media-source/only-bcp47-language-tags-accepted-as-valid.html
Comment 47 EWS Watchlist 2018-07-10 17:35:57 PDT
Created attachment 344737 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 48 EWS Watchlist 2018-07-10 17:46:54 PDT
Comment on attachment 344727 [details]
Patch for landing.

Attachment 344727 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/8499399

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 49 EWS Watchlist 2018-07-10 17:46:57 PDT
Created attachment 344739 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 50 Jeremy Jones 2018-07-12 17:54:15 PDT
Created attachment 344908 [details]
Patch for landing.
Comment 51 Jeremy Jones 2018-07-12 18:04:12 PDT
Created attachment 344910 [details]
Patch for landing.
Comment 52 EWS Watchlist 2018-07-12 18:06:00 PDT
Attachment 344910 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 27 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 53 EWS Watchlist 2018-07-12 19:22:32 PDT
Comment on attachment 344910 [details]
Patch for landing.

Attachment 344910 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/8522319

New failing tests:
media/media-source/only-bcp47-language-tags-accepted-as-valid.html
Comment 54 EWS Watchlist 2018-07-12 19:22:34 PDT
Created attachment 344916 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 55 EWS Watchlist 2018-07-12 19:55:19 PDT
Comment on attachment 344910 [details]
Patch for landing.

Attachment 344910 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/8522283

New failing tests:
media/media-source/only-bcp47-language-tags-accepted-as-valid.html
Comment 56 EWS Watchlist 2018-07-12 19:55:22 PDT
Created attachment 344919 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 57 Jeremy Jones 2018-07-12 20:09:53 PDT
Created attachment 344921 [details]
Patch for landing.
Comment 58 EWS Watchlist 2018-07-12 20:12:19 PDT
Attachment 344921 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 27 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 59 EWS Watchlist 2018-07-12 21:25:11 PDT
Comment on attachment 344921 [details]
Patch for landing.

Attachment 344921 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8523057

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 60 EWS Watchlist 2018-07-12 21:25:13 PDT
Created attachment 344923 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 61 EWS Watchlist 2018-07-12 22:32:45 PDT
Comment on attachment 344921 [details]
Patch for landing.

Attachment 344921 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8523331

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-video.html
Comment 62 EWS Watchlist 2018-07-12 22:32:57 PDT
Created attachment 344925 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 63 Jeremy Jones 2018-07-13 23:27:47 PDT
Created attachment 345028 [details]
Patch for landing.
Comment 64 EWS Watchlist 2018-07-13 23:30:13 PDT
Attachment 345028 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 65 EWS Watchlist 2018-07-14 01:20:13 PDT
Comment on attachment 345028 [details]
Patch for landing.

Attachment 345028 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/8534427

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 66 EWS Watchlist 2018-07-14 01:20:15 PDT
Created attachment 345030 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 67 EWS Watchlist 2018-07-14 01:28:57 PDT
Comment on attachment 345028 [details]
Patch for landing.

Attachment 345028 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8534523

New failing tests:
http/tests/security/video-poster-cross-origin-crash2.html
Comment 68 EWS Watchlist 2018-07-14 01:29:09 PDT
Created attachment 345031 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 69 Jeremy Jones 2018-07-16 12:39:28 PDT
Created attachment 345111 [details]
Patch for landing.
Comment 70 EWS Watchlist 2018-07-16 12:42:28 PDT
Attachment 345111 [details] did not pass style-queue:


ERROR: Source/WebCore/page/ChromeClient.h:490:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 71 WebKit Commit Bot 2018-07-16 13:39:44 PDT
Comment on attachment 345111 [details]
Patch for landing.

Clearing flags on attachment: 345111

Committed r233865: <https://trac.webkit.org/changeset/233865>
Comment 72 Truitt Savell 2018-07-16 15:55:18 PDT
It looks like r233865 <https://trac.webkit.org/changeset/233865/webkit> is causing Timeouts for:

    TestWebKitAPI.Fullscreen.TopContentInset
    TestWebKitAPI.Fullscreen.Delegate

Output link:
https://build.webkit.org/builders/Apple%20Sierra%20Release%20WK1%20%28Tests%29/builds/11562/steps/run-api-tests/logs/stdio
Comment 73 Jeremy Jones 2018-07-16 16:25:02 PDT
(In reply to Truitt Savell from comment #72)
> It looks like r233865 <https://trac.webkit.org/changeset/233865/webkit> is
> causing Timeouts for:
> 
>     TestWebKitAPI.Fullscreen.TopContentInset
>     TestWebKitAPI.Fullscreen.Delegate
> 
> Output link:
> https://build.webkit.org/builders/
> Apple%20Sierra%20Release%20WK1%20%28Tests%29/builds/11562/steps/run-api-
> tests/logs/stdio

I'm looking into updating the tests.
Comment 74 Jeremy Jones 2018-07-16 17:44:40 PDT
(In reply to Jeremy Jones from comment #73)
> (In reply to Truitt Savell from comment #72)
> > It looks like r233865 <https://trac.webkit.org/changeset/233865/webkit> is
> > causing Timeouts for:
> > 
> >     TestWebKitAPI.Fullscreen.TopContentInset
> >     TestWebKitAPI.Fullscreen.Delegate
> > 
> > Output link:
> > https://build.webkit.org/builders/
> > Apple%20Sierra%20Release%20WK1%20%28Tests%29/builds/11562/steps/run-api-
> > tests/logs/stdio
> 
> I'm looking into updating the tests.

The tests need to order front the window.
Comment 75 Jeremy Jones 2018-07-16 18:00:53 PDT
(In reply to Jeremy Jones from comment #74)
> (In reply to Jeremy Jones from comment #73)
> > (In reply to Truitt Savell from comment #72)
> > > It looks like r233865 <https://trac.webkit.org/changeset/233865/webkit> is
> > > causing Timeouts for:
> > > 
> > >     TestWebKitAPI.Fullscreen.TopContentInset
> > >     TestWebKitAPI.Fullscreen.Delegate
> > > 
> > > Output link:
> > > https://build.webkit.org/builders/
> > > Apple%20Sierra%20Release%20WK1%20%28Tests%29/builds/11562/steps/run-api-
> > > tests/logs/stdio
> > 
> > I'm looking into updating the tests.
> 
> The tests need to order front the window.

Fix for these failures is in https://bugs.webkit.org/show_bug.cgi?id=187720
Comment 76 Chris Dumez 2018-08-03 08:39:30 PDT
Comment on attachment 345111 [details]
Patch for landing.

View in context: https://bugs.webkit.org/attachment.cgi?id=345111&action=review

> Source/WebCore/html/HTMLMediaElement.cpp:5913
> +    if (!document().page() || !document().page()->chrome().client().isViewVisible()) {

This is triggering Synchronous IPC with the UIProcess in the middle of layout (rdar://problem/42807306)... As far as I can tell, this is also completely unnecessary since we know if the view is visible or not on WebProcess side.
Comment 77 Chris Dumez 2018-08-03 08:50:22 PDT
Comment on attachment 345111 [details]
Patch for landing.

View in context: https://bugs.webkit.org/attachment.cgi?id=345111&action=review

> Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.cpp:1317
> +    WebProcess::singleton().parentProcessConnection()->sendSync(Messages::WebPageProxy::GetIsViewVisible(), Messages::WebPageProxy::GetIsViewVisible::Reply(isVisible), m_page.pageID());

Also note that this kind of code in WebKit2 still requires WK2 OWNER approval AFAIK. And if you're introducing synchronous IPC you're likely doing it wrong.